Package com.isomorphic.criteria.criterion

# Class RangeCriterion

java.lang.Object
com.isomorphic.criteria.criterion.RangeCriterion

All Implemented Interfaces:
  `Criterion`

Direct Known Subclasses:
  `DateRangeCriterion`, `DoubleRangeCriterion`, `FloatRangeCriterion`, `IntegerRangeCriterion`, `LongRangeCriterion`, `RelativeDateRangeCriterion`

public class RangeCriterion extends Object implements Criterion
Criterion for range of comparable values.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RangeCriterion(String fieldName, OperatorBase operator, Comparable minValue, Comparable maxValue)`
  Construtor by parameters:
  `RangeCriterion(String fieldName, String operatorId, Comparable minValue, Comparable maxValue)`
  Construtor by parameters:

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Comparable`
  `getMax()`
  Gets max value of field.
  `Comparable`
  `getMin()`
  Gets min value of field.
  `void`
  `setMax(Comparable value)`
  Sets max value of field.
  `void`
  `setMin(Comparable value)`
  Sets min value of field.

- ## Constructor Details

  - ### RangeCriterion

    public RangeCriterion(String fieldName, String operatorId, Comparable minValue, Comparable maxValue)
    Construtor by parameters:
    Parameters:
      `fieldName` - - name of field that will be checked.
      `operatorId` - - operator that determines checking logic.
      `minValue` - - min value of field
      `maxValue` - - max value of field

  - ### RangeCriterion

    public RangeCriterion(String fieldName, OperatorBase operator, Comparable minValue, Comparable maxValue)
    Construtor by parameters:
    Parameters:
      `fieldName` - - name of field that will be checked.
      `operator` - - operator that determines checking logic. This is likely to be a member of the `DefaultOperators` class, such as IContains or GreaterThan.
      `minValue` - - min value of field
      `maxValue` - - max value of field

- ## Method Details

  - ### setMin

    public void setMin(Comparable value)
    Sets min value of field.
    Parameters:
      `value` - min value.

  - ### getMin

    public Comparable getMin()
    Gets min value of field.
    Returns:
      min value.

  - ### setMax

    public void setMax(Comparable value)
    Sets max value of field.
    Parameters:
      `value` - max value.

  - ### getMax

    public Comparable getMax()
    Gets max value of field.
    Returns:
      max value.